SDL_AddSurfaceAlternateImage(3)

NAME
SDL_AddSurfaceAlternateImage - Add an alternate version of a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_AddSurfaceAlternateImage(SDL_Surface *surface, SDL_Surface *image);

DESCRIPTION
This function adds an alternate version of this surface, usually used for content with high DPI representations like cursors or icons. The size, format, and content do not need to match the original surface, and these alternate versions will not be updated when the original surface changes.

This function adds a reference to the alternate version, so you should call SDL_DestroySurface() on the image after this call.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to update.

image
    a pointer to an alternate SDL_Surface to associate with this surface.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RemoveSurfaceAlternateImages(3), SDL_GetSurfaceImages(3), SDL_SurfaceHasAlternateImages(3)